
QGIS Application - Bug report #20200

wrong sequence detection under postgres

2018-10-23 10:30 PM - Jan Lippmann

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Data Provider/PostGIS

Affected QGIS version:3.3(master) Regression?: No

Operating System: Win 7 64bit Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28021

Description

there is an issue with sequence detection under postgres when the layer is not in the public schema.

the problem is in the attribute form. ok button is not active because the "." point between the schema name and the sequence name is

missing.
Associated revisions

Revision 797911e1 - 2018-10-24 12:45 PM - Alessandro Pasotti 

Check if we have a numeric value before stripping the group separator

Fix #20200 - wrong sequence detection under postgres

This is to avoid stripping out the dot from nextval

when schema is not public and locale has a dot

decimal separator.

History

#1 - 2018-10-24 10:23 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-10-24 12:47 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/8302

#3 - 2018-10-24 02:50 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|797911e1fe1f93eecb819862850877f4c022ea63.
